import {
  createActionStructure,
  createAsyncStructure,
  createResourceStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  ...createResourceStructure(`${constants.prefix}`),
  mine: createAsyncStructure(`${constants.prefix}_mine`),
  search: createAsyncStructure(`${constants.prefix}_search`),
  highlight: createActionStructure(`${constants.prefix}_highlight`),
};

export default actions;
